Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.values
Class Values

    java.lang.Object
      org.deegree.datatypes.values.ValueEnumBase
          org.deegree.datatypes.values.ValueEnum
              org.deegree.datatypes.values.Values

All Implemented Interfaces:
  Serializable, Cloneable

    public class Values

extends ValueEnum
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Values(Interval[] interval, TypedLiteral[] singleValue, TypedLiteral default_)`
`Values(Interval[] interval, TypedLiteral[] singleValue, URI type, URI semantic, TypedLiteral default_)`

Method Summary
`Object` | `clone()`
`TypedLiteral` | `getDefault()`
`void` | `setDefault(TypedLiteral default_)`

Methods inherited from class org.deegree.datatypes.values.ValueEnum
`getSemantic, getType, setSemantic, setType`

Methods inherited from class org.deegree.datatypes.values.ValueEnumBase
`getInterval, getSingleValue, setInterval, setSingleValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Values

    public Values(Interval[] interval,
                  TypedLiteral[] singleValue,
                  TypedLiteral default_)

Parameters:
  `interval` -
  `singleValue` -
  `default_` -

### Values

    public Values(Interval[] interval,
                  TypedLiteral[] singleValue,
                  URI type,
                  URI semantic,
                  TypedLiteral default_)

Parameters:
  `interval` -
  `singleValue` -
  `type` -
  `semantic` -
  `default_` -

Method Detail

### getDefault

    public TypedLiteral getDefault()

  Returns:
    Returns the default_.

### setDefault

    public void setDefault(TypedLiteral default_)

  Parameters:
    `default_` - The default_ to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `ValueEnum`
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org